Name:           libieee1284
Version:        0.2.11
Release:        29
Summary:        IEEE1284 communications library
License:        GPLv2+
URL:            http://cyberelk.net/tim/libieee1284/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2

Patch0001:      libieee1284-strict-aliasing.patch
Patch0002:      libieee1284-aarch64.patch

BuildRequires:  xmlto python2-devel

%description
This library is intended to be used by applications that need to
communicate with (or at least identify) devices that are attached
via a parallel port.

%package        devel
Summary:        Development headers and libraries for libieee1284
Requires:       %{name} = %{version}-%{release}

%description    devel
The libieee1284-devel package includes header files and libraries necessary
for the libieee1284 library.

%package        -n python2-libieee1284
%{?python_provide:%python_provide python2-libieee1284}
Summary:        Python extension module for libieee1284
Provides:       %{name}-python = %{version}-%{release}
Requires:       %{name} = %{version}-%{release}
Obsoletes:      %{name}-python < %{version}-%{release}

%description    -n python2-libieee1284
The python2-libieee1284 package includes extension module for libieee1284.
To use libieee1284 with Python, use 'import ieee1284'.

%package        help
Summary:        This package contains help documents
Requires:       %{name} = %{version}-%{release}

%description    help
Files for help with libieee1284.

%prep
%autosetup -p1

%build
touch doc/interface.xml
%configure
%make_build

%install
%make_install
%delete_la

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%doc COPYING
%{_libdir}/*.so.*
%{_bindir}/*
%exclude %{_libdir}/libieee1284.a
%exclude %{_libdir}/python*/*/ieee1284module.a

%files devel
%{_includedir}/ieee1284.h
%{_libdir}/*.so

%files -n python2-libieee1284
%{_libdir}/python*/*/*.so

%files help
%doc README TODO AUTHORS NEWS
%{_mandir}/*/*


%changelog
* Mon Nov 18 2019 gulining<gulining1@huawei.com> - 0.2.11-29
- Pakcage init
